package cn.novalon.gym.manage.sys.dto.request;

import java.util.List;
import java.util.stream.Collectors;

public class AssignRolesRequest {
    private List<String> roleIds;

    public List<String> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<String> roleIds) {
        this.roleIds = roleIds;
    }
    
    public List<Long> getRoleIdsAsLong() {
        if (roleIds == null) {
            return null;
        }
        return roleIds.stream()
                .map(Long::valueOf)
                .collect(Collectors.toList());
    }
}
